Subject: bug#32063: closed (Re: [bug#32063] Fix the build of openscenegraph and openmw)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Jul 2018 16:29:02 +0000

Your bug report

#32063: Fix the build of openscenegraph and openmw

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32063: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32063
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32063] Fix the build of openscenegraph and openmw
From: Alex Kost <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Mon, 09 Jul 2018 19:28:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès (2018-07-09 14:39 +0200) wrote:

> Hi Alex,
>
> Alex Kost <[email-masked]> skribis:
>
>> Currently, ‘openscenegraph’ and ‘openmw’ fail to build on hydra.  The
>> upcoming patches fix these fails.
>>
>> The problem with openscenegraph was the absence of pkg-config.
>>
>> And the problem with openmw is that its current (which is the latest)
>> version does not support qt 5.11, but it is supported in the recent git
>> checkout, so I updated it to one of the latest commits, is it OK?
>>
>> Also I didn't reindented the package definition of openmw, because the
>> introduced ‘let’ (with commit and revision) will be removed again after
>> the next update.
>
> I think you can go ahead and push both.
>
> Thanks for fixing it!

Pushed, thanks!

-- 
Alex

Subject: Fix the build of openscenegraph and openmw
From: Alex Kost <[email-masked]>
To: [email-masked]
Date: Thu, 05 Jul 2018 22:59:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently, ‘openscenegraph’ and ‘openmw’ fail to build on hydra.  The
upcoming patches fix these fails.

The problem with openscenegraph was the absence of pkg-config.

And the problem with openmw is that its current (which is the latest)
version does not support qt 5.11, but it is supported in the recent git
checkout, so I updated it to one of the latest commits, is it OK?

Also I didn't reindented the package definition of openmw, because the
introduced ‘let’ (with commit and revision) will be removed again after
the next update.

-- 
Alex